QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
QXmppPubSubIq Class Reference
Stanzas

The QXmppPubSubIq class represents an IQ used for the publish-subscribe mechanisms defined by XEP-0060: Publish-Subscribe. More...

`#include <QXmppPubSubIq.h>`

Inheritance diagram for QXmppPubSubIq:

List of all members.

## Public Types
enum | QueryType { AffiliationsQuery, DefaultQuery, ItemsQuery, PublishQuery, RetractQuery, SubscribeQuery, SubscriptionQuery, SubscriptionsQuery, UnsubscribeQuery }
| This enum is used to describe a publish-subscribe query type.
## Public Member Functions
QXmppPubSubIq::QueryType | queryType () const
void | setQueryType (QXmppPubSubIq::QueryType queryType)
QString | queryJid () const
void | setQueryJid (const QString &jid)
QString | queryNode () const
void | setQueryNode (const QString &node)
QList< QXmppPubSubItem > | items () const
void | setItems (const QList< QXmppPubSubItem > &items)
QString | subscriptionId () const
void | setSubscriptionId (const QString &id)

## Detailed Description

The QXmppPubSubIq class represents an IQ used for the publish-subscribe mechanisms defined by XEP-0060: Publish-Subscribe.

## Member Function Documentation

QList< QXmppPubSubItem > QXmppPubSubIq::items | ( |  | ) | const

Returns the IQ's items.

QString QXmppPubSubIq::queryJid | ( |  | ) | const

Returns the JID being queried.

QString QXmppPubSubIq::queryNode | ( |  | ) | const

Returns the node being queried.

QXmppPubSubIq::QueryType QXmppPubSubIq::queryType | ( |  | ) | const

Returns the PubSub queryType for this IQ.

void QXmppPubSubIq::setItems | ( | const QList< QXmppPubSubItem > & | items | ) |

Sets the IQ's items.

Parameters:

  items |

void QXmppPubSubIq::setQueryJid | ( | const QString & | queryJid | ) |

Sets the JID being queried.

Parameters:

  queryJid |

void QXmppPubSubIq::setQueryNode | ( | const QString & | queryNode | ) |

Sets the node being queried.

Parameters:

  queryNode |

void QXmppPubSubIq::setQueryType | ( | QXmppPubSubIq::QueryType | queryType | ) |

Sets the PubSub queryType for this IQ.

Parameters:

  queryType |

void QXmppPubSubIq::setSubscriptionId | ( | const QString & | subscriptionId | ) |

Sets the subscription ID.

Parameters:

  subscriptionId |

QString QXmppPubSubIq::subscriptionId | ( |  | ) | const

Returns the subscription ID.

The documentation for this class was generated from the following files:

- QXmppPubSubIq.h
- QXmppPubSubIq.cpp

All Classes Functions Enumerations Enumerator Properties